hpp-python: pyhpp::manipulation::TransitionPlanner Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pyhpp::manipulation::TransitionPlanner Struct Reference

`#include <pyhpp/manipulation/path-planner.hh>`

Inheritance diagram for pyhpp::manipulation::TransitionPlanner:
[legend]
Collaboration diagram for pyhpp::manipulation::TransitionPlanner:
[legend]

## Public Member Functions
hpp::manipulation::pathPlanner::TransitionPlannerPtr_t | trObj () const
| TransitionPlanner (const pyhpp::core::Problem &problem)
pyhpp::core::PathPlanner | innerPlanner () const
void | innerPlanner (const pyhpp::core::PathPlanner &planner)
pyhpp::core::Problem | innerProblem () const
PathVectorPtr_t | planPath (ConfigurationIn_t qInit, matrixIn_t qGoals, bool resetRoadmap)
PathVectorPtr_t | computePath (ConfigurationIn_t qInit, matrixIn_t qGoals, bool resetRoadmap)
tuple | directPath (ConfigurationIn_t q1, ConfigurationIn_t q2, bool validate)
tuple | validateConfiguration (ConfigurationIn_t q, std::size_t id) const
PathVectorPtr_t | optimizePath (const PathPtr_t &path)
PathVectorPtr_t | timeParameterization (const PathVectorPtr_t &path)
void | setEdge (const PyWEdge &transition)
void | setTransition (const PyWEdge &transition)
void | setReedsAndSheppSteeringMethod (double turningRadius)
void | pathProjector (const PathProjectorPtr_t pathProjector)
void | clearPathOptimizers ()
void | addPathOptimizer (const PathOptimizerPtr_t &pathOptimizer)
Public Member Functions inherited from hpp::core::PathPlanner
virtual | ~PathPlanner ()
virtual const RoadmapPtr_t & | roadmap () const
ProblemConstPtr_t | problem () const
virtual void | startSolve ()
virtual PathVectorPtr_t | solve ()
virtual void | tryConnectInitAndGoals ()
virtual void | oneStep ()=0
virtual PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
void | interrupt ()
void | maxIterations (const unsigned long int &n)
unsigned long int | maxIterations () const
void | timeOut (const double &timeOut)
double | timeOut () const
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::core::PathPlanner
| PathPlanner (const ProblemConstPtr_t &problem)
| PathPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
void | init (const PathPlannerWkPtr_t &weak)

## Constructor & Destructor Documentation

## ◆ TransitionPlanner()

pyhpp::manipulation::TransitionPlanner::TransitionPlanner | ( | const pyhpp::core::Problem & | problem | ) |

## Member Function Documentation

## ◆ addPathOptimizer()

void pyhpp::manipulation::TransitionPlanner::addPathOptimizer | ( | const PathOptimizerPtr_t & | pathOptimizer | ) |

## ◆ clearPathOptimizers()

void pyhpp::manipulation::TransitionPlanner::clearPathOptimizers | ( |  | ) |

## ◆ computePath()

PathVectorPtr_t pyhpp::manipulation::TransitionPlanner::computePath | ( | ConfigurationIn_t | qInit,
|  | matrixIn_t | qGoals,
|  | bool | resetRoadmap )

## ◆ directPath()

tuple pyhpp::manipulation::TransitionPlanner::directPath | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2,
|  | bool | validate )

## ◆ innerPlanner() [1/2]

pyhpp::core::PathPlanner pyhpp::manipulation::TransitionPlanner::innerPlanner | ( |  | ) | const

## ◆ innerPlanner() [2/2]

void pyhpp::manipulation::TransitionPlanner::innerPlanner | ( | const pyhpp::core::PathPlanner & | planner | ) |

## ◆ innerProblem()

pyhpp::core::Problem pyhpp::manipulation::TransitionPlanner::innerProblem | ( |  | ) | const

## ◆ optimizePath()

PathVectorPtr_t pyhpp::manipulation::TransitionPlanner::optimizePath | ( | const PathPtr_t & | path | ) |

## ◆ pathProjector()

void pyhpp::manipulation::TransitionPlanner::pathProjector | ( | const PathProjectorPtr_t | pathProjector | ) |

## ◆ planPath()

PathVectorPtr_t pyhpp::manipulation::TransitionPlanner::planPath | ( | ConfigurationIn_t | qInit,
|  | matrixIn_t | qGoals,
|  | bool | resetRoadmap )

## ◆ setEdge()

void pyhpp::manipulation::TransitionPlanner::setEdge | ( | const PyWEdge & | transition | ) |

## ◆ setReedsAndSheppSteeringMethod()

void pyhpp::manipulation::TransitionPlanner::setReedsAndSheppSteeringMethod | ( | double | turningRadius | ) |

## ◆ setTransition()

void pyhpp::manipulation::TransitionPlanner::setTransition | ( | const PyWEdge & | transition | ) |

## ◆ timeParameterization()

PathVectorPtr_t pyhpp::manipulation::TransitionPlanner::timeParameterization | ( | const PathVectorPtr_t & | path | ) |

## ◆ trObj()

hpp::manipulation::pathPlanner::TransitionPlannerPtr_t pyhpp::manipulation::TransitionPlanner::trObj | ( |  | ) | const

## ◆ validateConfiguration()

tuple pyhpp::manipulation::TransitionPlanner::validateConfiguration | ( | ConfigurationIn_t | q,
|  | std::size_t | id ) const

The documentation for this struct was generated from the following files:

- src/pyhpp/manipulation/path-planner.hh
- src/pyhpp/manipulation/path-planner.cc